/*
 * k_compat.h 1.1 1995/09/29 06:20:35 (David Hinds)
 */

#ifndef _LINUX_K_COMPAT_H
#define _LINUX_K_COMPAT_H

#ifdef KERNEL_PL_3

#define RUN_AT(x) (jiffies+(x))
#define CONST const
#define ALLOC_SKB(len) dev_alloc_skb(len+2)
#define DEVICE(req) ((req)->rq_dev)
#define GET_PACKET(dev, skb, pkt_len) \
	skb_reserve((skb), 2); \
	BLOCK_INPUT(skb_put((skb), (pkt_len)), (pkt_len)); \
	(skb)->protocol = eth_type_trans((skb), (dev))

#else /* KERNEL_PL_3 */

#define RUN_AT(x) (x)
#define CONST
#define ALLOC_SKB(len) alloc_skb(len, GFP_ATOMIC)
#define DEVICE(req) ((req)->dev)
#define GET_PACKET(dev, skb, pkt_len) \
	(skb)->len = (pkt_len); \
	BLOCK_INPUT((skb)->data, (pkt_len))

#endif /* KERNEL_PL_3 */

#endif /* _LINUX_K_COMPAT_H */
